FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Fl_Device_Plugin Class Referenceabstract

This plugin socket allows the integration of new device drivers for special window or screen types. More...

`#include <Fl_Device.H>`

Inheritance diagram for Fl_Device_Plugin:

## Public Member Functions
| Fl_Device_Plugin (const char *pluginName)
| The constructor.
virtual const char * | klass ()
| Returns the class name.
virtual const char * | name ()=0
| Returns the plugin name.
virtual int | print (Fl_Widget *w, int x, int y, int height)=0
| Prints a widget. More...
Public Member Functions inherited from Fl_Plugin
| Fl_Plugin (const char *klass, const char *name)
| Create a plugin. More...
virtual | ~Fl_Plugin ()
| Clear the plugin and remove it from the database.

## Detailed Description

This plugin socket allows the integration of new device drivers for special window or screen types.

It is currently used to provide an automated printing service for OpenGL windows, if linked with fltk_gl.

## Member Function Documentation

virtual int Fl_Device_Plugin::print | ( | Fl_Widget * | w,
|  | int | x,
|  | int | y,
|  | int | height
| ) |  |
| pure virtual

Prints a widget.

Parameters

  w | the widget
  x,y | offsets where to print relatively to coordinates origin
  height | height of the current drawing area

The documentation for this class was generated from the following file:

- Fl_Device.H

- © 1998-2012 by Bill Spitzak and others.